%define upstream_name    MooseX-MethodAttributes
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Introspect your method code attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.80.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module allows code attributes of methods to be introspected using
Moose meta method objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.320.0-3.mga10
+ Revision: 2206477
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.320.0-2.mga9
+ Revision: 1813198
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 tv <tv> 0.320.0-1.mga8
+ Revision: 1620259
- update to 0.32

* Sat Feb 15 2020 umeabot <umeabot> 0.310.0-6.mga8
+ Revision: 1523774
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.310.0-5.mga7
+ Revision: 1374767
- fix summary

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-4.mga7
+ Revision: 1269607
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-3.mga6
+ Revision: 1030473
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.310.0-2.mga6
+ Revision: 970016
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 884711
- update to 0.31

* Sun Aug 23 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 868572
- update to 0.30

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 748025
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.290.0-3.mga5
+ Revision: 735829
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-2.mga5
+ Revision: 685549
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.290.0-1.mga5
+ Revision: 585934
- update to 0.29

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 513212
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 370196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.280.0-1.mga3
+ Revision: 298059
- update to 0.28

* Thu Feb 23 2012 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 213064
- update to 0.27

* Wed Jan 25 2012 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 200924
- update to 0.26

* Tue Jun 21 2011 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 111440
- update to 0.25

* Tue Jan 25 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 38612
- mageia rebuild
- imported package perl-MooseX-MethodAttributes

